/* vanocni obrazek ve clanku 
#art-text ~ div.authors {padding:0 0 70%; background:url('/o/onadnes/vanoce.png') no-repeat 50% 100% / 100% auto}
*/

/*kuchynska kalkulacka*/
.kuch-kalk h1 {margin-bottom: 1em;color: #E41F1F;font-size:125%}

.kuch-kalk h3, .kuch-kalk h4 {font-weight:bold}
.kuch-kalk .perex {margin-bottom:20px}
.kuch-kalk form {width:400px; max-width:100%; margin: 0 auto 25px;border-radius: 5px;}
.kuch-kalk-sec {display:flex;align-items: center;justify-content: space-between;padding: 10px;box-sizing: border-box;background: rgba(128,128,128,.05);border-radius: 5px;width: 100%;margin: 0 auto 15px;}

.kuch-kalk-half:first-child:after {content:"";position:absolute;top: 0%;right: 0;width: 35px;height: 35px;border:solid #E41F1F;border-width: 8px 8px 0 0;transform: rotate(45deg) translate(50%, 0px);}
.kuch-kalk-half:last-child > * {text-align:right}

.kuch-kalk-sec-in {position:relative;box-sizing: border-box;}

.kuch-kalk .row + .row {margin-top: 10px;position: relative;}
.kuch-kalk-sec-in button {display: block;position: relative;margin: 0px auto 0;padding: 0px 10px 0px 10px;text-align:center;height: 1.8em;line-height: 1.8;color:#fff;/*font-weight:bold;*/box-sizing: border-box;background:#E41F1F;border:none;border-radius: 3px 5px 5px 3px;}
.kuch-kalk-sec-in button:after {visibility: hidden;content:"";display: block;position: absolute;background: transparent;left: 100%;top: 0;margin-left: -2px;box-sizing: border-box;height: 0;border: solid 10px transparent;border-top-right-radius: 4px;/* border-width: 20px 10px 30px 0; */border-right-color: #E41F1F;border-top-color: #E41F1F;transform-origin: top left;transform: rotate(45deg);}

.kuch-kalk select, .kuch-kalk input[type=text], .kuch-kalk-vysledek {width:100px;height: 1.9em;padding: 3px 5px;box-sizing:border-box;border: solid 1px rgba(128,128,128,.1);}
.kuch-kalk .kuch-kalk-surovina {width:100%}

.kuch-kalk input[type=text] {text-align:right;}
.kuch-kalk-vysledek {font-weight: bold;text-align: right;background: rgba(128,128,128,.05);border: solid 1px #E41F1F;}

.kuch-kalk-hint {display:none;position:absolute;bottom: 100%;width: 136px;bottom: 100%;margin-left: -24px;margin-bottom: 3px;padding: 5px 12px;font-size: 80%;line-height: 1.6;background: rgba(128,128,128,.05);box-shadow: 0 0 6px 0px rgba(9,9,9,.5);}
.kuch-kalk-hint strong {float: right;width: 3em;text-align:right;}
.kuch-kalk input:hover + .kuch-kalk-hint, .kuch-kalk input:focus + .kuch-kalk-hint {display: block;z-index: 10;}

.kuch-kalk table {margin: 0.5em auto 25px;border-collapse: collapse;}

.kuch-kalk td {padding: 2px 30px 2px 0;border: solid 1px rgba(128,128,128,.75);border-width: 1px 0;}

.kuch-kalk td:first-child {width: 120px;}

.kuch-box {margin-top: 30px;margin-bottom:30px}
.kuch-box h2 {margin: 0 0 .3em;line-height: 1.2;font-size: 137.5%;font-weight: bold;}
.kuch-box h3 {font-size:100%; text-transform:uppercase}
.kuch-box table {width:100%;margin: 5px 0 20px;border-collapse:collapse; background:rgba(128,128,128,.05);}
.kuch-box td {padding:2px 8px;border-bottom: solid 1px #fff;}
.kuch-box td:last-child {text-align:right}
.kuch-box tr {position:relative;}
.kuch-box tr:after {content:"";position: absolute;left: 0;width: 300px;height: 20px;display: block;}
.kuch-box table:last-child {margin-bottom:0}